List Virtual Accounts
List Virtual Accounts V3 (Coming soon)
Retrieve a paginated list of all virtual accounts belonging to a specific customer.
GET
/
v3
/
customers
/
{customer_id}
/
virtual-accounts
List Virtual Accounts V3 (Coming soon)
curl --request GET \
--url https://sandbox.api.fin.com/v3/customers/{customer_id}/virtual-accounts \
--header 'Authorization: Bearer <token>'const url = 'https://sandbox.api.fin.com/v3/customers/{customer_id}/virtual-accounts';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.get("https://sandbox.api.fin.com/v3/customers/{customer_id}/virtual-accounts")
.header("Authorization", "Bearer <token>")
.asString();import requests
url = "https://sandbox.api.fin.com/v3/customers/{customer_id}/virtual-accounts"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://sandbox.api.fin.com/v3/customers/{customer_id}/virtual-accounts"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": {
"virtual_accounts": [
{
"id": "9d2b7f41-6c8a-45e3-b071-2fa93c5e8d16",
"status": "ACTIVE",
"customer_id": "c1f4a8e2-3b57-4d09-9a61-7e2b5c8d4f30",
"developer_fee_percent": 0,
"developer_fee_fixed": 0,
"deposit_instructions": null,
"destination": {
"currency": "USDC",
"destination_chain": "ETHEREUM",
"address": "0x4E91c07aB35d2F6810b94Ce7d13A5f826c0D4b7E"
},
"rfi": null,
"bank": "SSB",
"created_at": "2026-09-04T03:12:44Z",
"updated_at": "2026-09-04T03:13:10Z"
}
],
"pagination": {
"current_page": 1,
"per_page": 10,
"total_page": 1,
"total": 1
}
}
}{
"message": "Authentication failed"
}{
"message": "<string>",
"errors": [
{}
]
}This endpoint is not available in production yet. It is documented so you can plan your
integration ahead of release. Contact support for availability.
Authorizations
Bearer token authentication. Obtain token from Issue a Token endpoint
Path Parameters
Unique identifier of the customer whose virtual accounts you want to list.
Query Parameters
Number of items to return per page
Required range:
1 <= x <= 512The page number to retrieve
Required range:
x >= 1Response
Virtual accounts retrieved successfully
Show child attributes
Show child attributes
⌘I
List Virtual Accounts V3 (Coming soon)
curl --request GET \
--url https://sandbox.api.fin.com/v3/customers/{customer_id}/virtual-accounts \
--header 'Authorization: Bearer <token>'const url = 'https://sandbox.api.fin.com/v3/customers/{customer_id}/virtual-accounts';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.get("https://sandbox.api.fin.com/v3/customers/{customer_id}/virtual-accounts")
.header("Authorization", "Bearer <token>")
.asString();import requests
url = "https://sandbox.api.fin.com/v3/customers/{customer_id}/virtual-accounts"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://sandbox.api.fin.com/v3/customers/{customer_id}/virtual-accounts"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": {
"virtual_accounts": [
{
"id": "9d2b7f41-6c8a-45e3-b071-2fa93c5e8d16",
"status": "ACTIVE",
"customer_id": "c1f4a8e2-3b57-4d09-9a61-7e2b5c8d4f30",
"developer_fee_percent": 0,
"developer_fee_fixed": 0,
"deposit_instructions": null,
"destination": {
"currency": "USDC",
"destination_chain": "ETHEREUM",
"address": "0x4E91c07aB35d2F6810b94Ce7d13A5f826c0D4b7E"
},
"rfi": null,
"bank": "SSB",
"created_at": "2026-09-04T03:12:44Z",
"updated_at": "2026-09-04T03:13:10Z"
}
],
"pagination": {
"current_page": 1,
"per_page": 10,
"total_page": 1,
"total": 1
}
}
}{
"message": "Authentication failed"
}{
"message": "<string>",
"errors": [
{}
]
}